Cloud Services

AI Tools

Overview

The cloud service APIs are used to perform CRUD operations on any cloud service(here amazon S3). User provides the configuration details of the cloud service he wants to create, example- bucket name, root directory, access key and secret key for an amazon s3 service and gives it a service name. So basically we let the user to create, delete, update and read any of its services and list out the items present in it.

Method Name

Method Type

Description

List Cloud Services

GET

Lists out the cloud services in the account

Create Cloud Configuration

POST

Takes the amazon S3 configuration details from the user and creates a service for that account

Creates a service for an account by taking the amazon S3 configuration details from the user

Update Cloud Configuration

PUT

Updates the name of a specific cloud service present in the account.

Delete Cloud Configuration

DELETE

Deletes a specific cloud service present in the account.

List Files of Cloud Service

GET

Lists out the files in a particular format for a specific cloud service present in the account

Copy Files from Cloud Service to DaVinci CMS

POST

Copies the specific files from the account’s cloud service to Davinci CMS.

List Cloud Services

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

Sample Request

GET https://api.dev.jivox.com/accounts/:accountId/cloud

Sample Response

Response 200: { “services”: [ { “id”: 29, “name”: “S3 Dir”, “serviceType”: “AmazonS3”, “rootDir”: “https://s3.us-east-1.amazonaws.com/bucket/path/to/dir” } ] }

Create Cloud Configuration

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

Sample Request

POST https://api.dev.jivox.com/accounts/:accountId/cloud

Request Body

{ “name”: “S3 Dir”, “serviceType”: “AmazonS3”, “rootDir”: “path/to/dir”, “accessKey”: “key1”, “secreteKey”: “key2” }

Sample Response

Response 200: { “id”: 29, “name”: “S3 Dir”, “serviceType”: “AmazonS3”, “rootDir”: “https://s3.us-east-1.amazonaws.com/bucket/path/to/dir” }

Update Cloud Configuration

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

serviceId

string

Mandatory

path


Sample Request

POST https://api.dev.jivox.com/accounts/:accountId/cloud/:serviceId

Request body

{ “name”: “New Name” }

Sample Response

Response: 204 (No Content)

Delete Cloud Configuration

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

serviceId

string

Mandatory

path


Sample Request

https://api.dev.jivox.com/accounts/:accountId/cloud/:serviceId

Sample Response

Response: 204 (No Content)

List Files of Cloud Service

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

seriviceId

string

Mandatory

path


Sample Request

https://api.dev.jivox.com/accounts/:accountId/cloud/:serviceId

Sample Response

{ "files":[ { "name":"44808-0-aim5ad5d65f0398a.jpg", "date":"Wed Apr 18 15:34:59 IST 2018", "size":2873 }, { "name":"44808-0-aim5ad71676f3315.jpg", "date":"Wed Apr 18 15:35:00 IST 2018", "size":7329 }, { "name":"44808-0-aim5ad7167772eb6.jpg", "date":"Wed Apr 18 15:35:00 IST 2018", "size":7148 }, { "name":"44808-0-aim5ad71677e787c.jpg", "date":"Wed Apr 18 15:35:00 IST 2018", "size":5664 }, { "name":"44808-0-aim5ad716787e5f4.jpg", "date":"Wed Apr 18 15:35:00 IST 2018", "size":14610 } ], "folders":[ ], "url":"https://s3.us-east-1.amazonaws.com/jivoxdevuploads/119900/3", "path":"jivoxdevuploads/119900/3" }

Copy Files from Cloud Service to DaVinci CMS

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

serviceId

string

Mandatory

path


Sample Request

https://api.dev.jivox.com/accounts/:accountId/cloud/:serviceId

Request body

{ "path": "sub/directory/path" "files": [ "1.png", "11.png" ], "folders": [ "160x600-BBVA-BrightIdeaV7-handcoded", "F122_R_Zales_300x250_2" ] }

Sample Response

{ “queueIdValue” }